Cyan Web API - Version 1


POST api/messageAudits

            Creates a MessageAudit
            

Request Information

Parameters

NameDescriptionAdditional information
messageAuditRepresentation

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "messageAuditId": "330df6d8-625d-4fe6-a17f-88927e0ef797",
  "messageId": "aa8debd4-f702-44e6-a17c-08e673315a16",
  "messageAuditTypeId": "95e67487-5391-4703-9b7e-dc0638daefb7",
  "messageAuditTypeLookupKey": "sample string 4",
  "text": "sample string 5",
  "messageCyanId": 6,
  "cyanId": 7,
  "createdDateUtc": "2026-03-17T17:25:20.6421013+00:00",
  "updatedDateUtc": "2026-03-17T17:25:20.6421013+00:00"
}

application/xml, text/xml

Sample:
<MessageAuditRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-17T17:25:20.6421013+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-17T17:25:20.6421013+00:00</UpdatedDateUtc>
  <CyanId>7</CyanId>
  <MessageAuditId>330df6d8-625d-4fe6-a17f-88927e0ef797</MessageAuditId>
  <MessageAuditTypeId>95e67487-5391-4703-9b7e-dc0638daefb7</MessageAuditTypeId>
  <MessageAuditTypeLookupKey>sample string 4</MessageAuditTypeLookupKey>
  <MessageCyanId>6</MessageCyanId>
  <MessageId>aa8debd4-f702-44e6-a17c-08e673315a16</MessageId>
  <Text>sample string 5</Text>
</MessageAuditRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.